RDS-ADD-OPTION-TO-OPTION-GROUP(1)

NAME
rds-add-option-to-option-group - Add an option to a specific option group Adds or updats an option in the specified group

SYNOPSIS

 rds-add-option-to-option-group
     OptionGroupName --option-name value [--apply-immediately ]
    [--security-groups value[,value...] ] [--port value ]
     [General Options]

DESCRIPTION

    Adds an option to a specific option group, and specifies the configuration
 information relevant to that option. If the option is
 already in the option group, this command updates the configuration of that
 option.

ARGUMENTS

 OptionGroupName
    Required. The option group that the option should be added to. You can
    also set this value using "--option-group-name".

SPECIFIC OPTIONS

 --apply-immediately
    Optional. If specified, the changes will be applied to all affected
    instances immediately; otherwise, the changes will be applied to each
    instance during its next maintenance window. The default value is
    'false'.

 -n, --option-name VALUE
    Required. The name of the option that should be added to this option
    group.

 --port VALUE
    Optional. If the option has a port, and this option is specified, allows
    the option's default port to be overridden with a custom port.

 -sg, --security-groups VALUE1,VALUE2,VALUE3...
    Optional. A comma-separated list of DB Security Group Names that should
    be used to grant access to this option's port. Only permitted if the
    option uses a port.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 This shows how to add an option to an option group, specifying a security
 group to use with the default port.

$PROMPT>$ rds-add-option-to-option-group my-option-group -n OEM -sg default

OUTPUT

 This command returns a table that contains the following:
 * Group Name - The name of the option group.
 * Engine - The DB engine that this option group is associated with.
 * Major Engine Version - The required major engine version of the engine
 that this option group is associated with.
 * Description - The description of the option group.
 * VpcSpecific - If this is N, then both VPC and non-VPC instances can
 currently join this option group.
 * Vpc - If VpcSpecific is N, this field is blank. If VpcSpecific is Y, and
 this field is blank, only non-VPC instances can join this option group.
 Otherwise, only instances in this VPC can join this option group.
 * Name - The name of the option.
 * Port - The port used by this option, if any.
 * Description - The description of this option.
 * Name - Security Group name.
 * Status - Status of authorization.

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference